package com.ruoyi.mxjb.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 多元升学断言对象 mxjb_multiple_way_asset
 * 
 * @author voluntary
 * @date 2023-08-04
 */
public class MxjbMultipleWayAsset extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Integer id;

    /** 条件字典:年龄/视力/身高等 */
    @Excel(name = "条件字典:年龄/视力/身高等")
    private String type;

    /** 属性名称 */
    @Excel(name = "属性名称")
    private String property;

    /** range, eq, in, interest */
    @Excel(name = "range, eq, in, interest")
    private String op;

    /** 字典列表/范围/列表/值 */
    @Excel(name = "字典列表/范围/列表/值")
    private String optionType;

    /** 内容 */
    @Excel(name = "内容")
    private String optionValues;

    /** 未匹配时的内容 */
    @Excel(name = "未匹配时的内容")
    private String message;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setProperty(String property) 
    {
        this.property = property;
    }

    public String getProperty() 
    {
        return property;
    }
    public void setOp(String op)
    {
        this.op = op;
    }

    public String getOp() 
    {
        return op;
    }
    public void setOptionType(String optionType) 
    {
        this.optionType = optionType;
    }

    public String getOptionType() 
    {
        return optionType;
    }
    public void setOptionValues(String optionValues) 
    {
        this.optionValues = optionValues;
    }

    public String getOptionValues() 
    {
        return optionValues;
    }
    public void setMessage(String message) 
    {
        this.message = message;
    }

    public String getMessage() 
    {
        return message;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("property", getProperty())
            .append("op", getOp())
            .append("optionType", getOptionType())
            .append("optionValues", getOptionValues())
            .append("message", getMessage())
            .toString();
    }
}
